Skip to main content
DELETE
Delete user costs upload

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://console.vantage.sh/account/profile
Scopes1
write
Grants write access

Path Parameters

integration_token
string
required
user_costs_upload_token
string
required

Token of the UserCostsUpload to delete.

Response

Cost model

accrued_at
string
required

The date that the cost was accrued. ISO 8601 Formatted. Hourly date_bin responses include the hour (e.g. 2023-09-05T13:00:00Z); other bins are date-only.

Example:

"2023-09-05T00:00:00Z"

amount
string
required

The amount of the cost.

Example:

"4.25"

currency
string
required

The currency of the cost.

Example:

"USD"

usage
object | null

The usage amount and unit incurred by the cost.

provider
enum<string> | null

The cost provider which incurred the cost.

Available options:
aws,
azure,
gcp,
snowflake,
databricks,
mongo,
datadog,
fastly,
new_relic,
opencost,
open_ai,
oracle,
confluent,
planetscale,
coralogix,
kubernetes,
custom_provider,
github,
linode,
grafana,
clickhouse,
temporal,
twilio,
azure_csp,
kubernetes_agent,
anthropic,
anyscale,
cursor,
elastic,
vercel,
redis_cloud,
circle_ci,
modal,
eleven_labs,
baseten,
cloudflare,
fireworks_ai,
cartesia,
depot,
xai,
digital_ocean,
together_ai,
coreweave,
devin,
openrouter,
deepgram,
crusoe,
sentry_billing
Example:

"aws"

billing_account_id
string | null

The cost provider's billing account id that incurred the cost.

Example:

"9109237192"

account_id
string | null

The cost provider's account id that incurred the cost.

Example:

"9109237192"

service
string | null

The service which incurred the cost.

Example:

"Amazon Elastic Compute Cloud - Compute"

region
string | null

The region which incurred the cost.

Example:

"us-east-1"

resource_id
string | null

The resource id which incurred the cost.

Example:

"arn:aws:ec2:us-east-1:123456789012:instance/i-1234567890abcdef0"

resource_name
string | null

The human-readable resource name when Vantage can enrich the resource id.

Example:

"claude_code_key_name"

tag
string | null

The tag attached to the cost that was incurred. DEPRECATED: does not support multiple tags.

Example:

"production"

tags
string[] | null

The tag pairs attached to the cost that was incurred.

cost_category
string | null

The category for the cost.

Example:

"Data Transfer"

cost_subcategory
string | null

The subcategory for the cost.

Example:

"DataTransfer-Regional-Bytes"

charge_type
string | null

The charge type for the cost.

Example:

"Usage"

tagged
boolean | null

Whether the cost has tags.

Example:

true

usage_unit
string | null

The unit used to measure usage.

Example:

"GB"

segment
string | null

The segment name for segment report costs.

Example:

"Engineering"